# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import exceptions, http
from odoo.http import request


class ReleaseController(http.Controller):
    # ------------------------------------------------------
    # Routes
    # ------------------------------------------------------
    @http.route(
        ["/post-modules"],
        type="json",
        auth="none",
        method=["POST"],
        csrf=False,
    )
    def post_modules(self):
        ip_addr = request.httprequest.remote_addr
        partner_id = (
            request.env["res.partner"].sudo().search([("server_ip", "=", ip_addr)])
        )
        if partner_id:
            modules = request.jsonrequest.get("modules")
            partner_id.retrieve_modules(modules)
        else:
            return exceptions.AccessDenied()

    # ------------------------------------------------------
    # Common functions
    # ------------------------------------------------------
